# $Revision: 1.43.2.3 $, $Date: 2007/03/12 16:20:30 $
# TODO:
#  - include gui/themes/modern* and teach scummvm to search
#    for it in some system paths, not current dir
#
%define		version_tools	0.9.0
Summary:	SCUMM graphic adventure game interpreter
Summary(pl):	Interpreter przygodwek opartych na SCUMM
Name:		scummvm
Version:	0.9.1
Release:	2
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/scummvm/%{name}-%{version}.tar.bz2
# Source0-md5:	30a82ad466bae223875e66ee14b94904
Source1:	http://dl.sourceforge.net/scummvm/%{name}-tools-%{version_tools}.tar.bz2
# Source1-md5:	c8164fa1cca90b1c3bff1c8949d875a3
Source2:	%{name}.desktop
Source3:	%{name}.png
Patch0:		%{name}-flac.patch
URL:		http://scummvm.sourceforge.net/
BuildRequires:	SDL-devel >= 1.2.2
%ifarch %{ix86} %{x8664}
BuildRequires:	fluidsynth-devel
%endif
BuildRequires:	libmad-devel
BuildRequires:	libvorbis-devel
BuildRequires:	mpeg2dec-devel
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ScummVM is a collection of interpreters, capable of emulating several
adventure game engines. ScummVM mainly supports games created using
SCUMM (Script Creation Utility for Maniac Mansion), used in various
LucasArts games such as Monkey Island, Day of the Tentacle, and
others.

ScummVM also contains interpreters for several non-SCUMM games.
Currently these are Beneath a Steel Sky, Broken Sword 1 & 2, Flight of
the Amazon Queen and Simon the Sorcerer 1 & 2.

At this time ScummVM should be considered beta software, and is still
under heavy development. Be aware that whilst we attempt to make sure
that many games can be completed with few major bugs, crashes can
happen.

%description -l pl
ScummVM jest zbiorem interpreterw zdolnych do emulacji kilku silnikw
gier przygodowych. ScummVM gwnie wspiera gry stworzone z uyciem
silnika SCUMM (Script Creation Utility for Maniac Mansion), uywanego
przez takie tytuy stworzone przez Lucas Arts jak Monkey Island, Day
of the Tentacle.

ScummVM potrafi rwnie interpretowa kilka gier nie opartych na
SCUMM. W chwili obecnej s to Beneath a Steel Sky, Broken Sword 1 i 2,
Flight of the Amazon Queen oraz Simon the Sorcerer 1 i 2.

ScummVM jest cay czas intensywnie rozwijany i powinien by traktowany
jako program w stanie beta. Wiele gier powinno da si skoczy bez
wikszych bdw, naley by jednak wiadomym, e program moe si
czasem wysypa.

%package tools
Summary:	ScummVM tools
Summary(pl):	Narzdzia zwizane ze ScummVM
Group:		X11/Applications/Games

%description tools
Collection of various tools that may be useful to use in conjunction
with ScummVM.

%description tools -l pl
Zestaw narzdzi mogcych by uytecznymi w poczeniu ze ScummVM.

%prep
%setup -q -a 1
%patch0 -p1

sed -i -e 's:"plugins/":"%{_libdir}/scummvm/":' base/plugins.cpp

%build
./configure \
	--disable-debug \
%ifnarch %{ix86}
	--disable-nasm \
%endif
	--enable-lure \
	--enable-cine \
	--enable-plugins

%{__make} \
	CXX="%{__cxx}" \
%ifarch sparc sparc32 sparc64
	CXXFLAGS="%{rpmcflags} -DDYNAMIC_MODULES" \
%else
	CXXFLAGS="%{rpmcflags} -DDYNAMIC_MODULES -fpic" \
%endif
	LDFLAGS="%{rpmldflags}"

cd tools-%{version_tools}
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man6,%{_pixmapsdir},%{_desktopdir},%{_libdir}/scummvm}

install scummvm $RPM_BUILD_ROOT%{_bindir}
#install scummvm.6 $RPM_BUILD_ROOT%{_mandir}/man6

install plugins/lib*.so $RPM_BUILD_ROOT%{_libdir}/scummvm

cd tools-%{version_tools}
install compress_kyra		$RPM_BUILD_ROOT%{_bindir}
install compress_queen		$RPM_BUILD_ROOT%{_bindir}
install compress_saga		$RPM_BUILD_ROOT%{_bindir}
install compress_scumm_bun	$RPM_BUILD_ROOT%{_bindir}
install compress_scumm_san	$RPM_BUILD_ROOT%{_bindir}
install compress_scumm_sou	$RPM_BUILD_ROOT%{_bindir}
install compress_simon		$RPM_BUILD_ROOT%{_bindir}
install compress_sword1		$RPM_BUILD_ROOT%{_bindir}
install compress_sword2		$RPM_BUILD_ROOT%{_bindir}
install dekyra			$RPM_BUILD_ROOT%{_bindir}
install descumm			$RPM_BUILD_ROOT%{_bindir}
install desword2		$RPM_BUILD_ROOT%{_bindir}
install encode_dxa		$RPM_BUILD_ROOT%{_bindir}
install extract_kyra		$RPM_BUILD_ROOT%{_bindir}
install extract_loom_tg16	$RPM_BUILD_ROOT%{_bindir}
install extract_mm_c64		$RPM_BUILD_ROOT%{_bindir}
install extract_mm_nes		$RPM_BUILD_ROOT%{_bindir}
install extract_scumm_mac	$RPM_BUILD_ROOT%{_bindir}
install extract_simon1_amiga	$RPM_BUILD_ROOT%{_bindir}
install extract_zak_c64		$RPM_BUILD_ROOT%{_bindir}
cd -

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/scummvm
%{_libdir}/scummvm
#%{_mandir}/man6/*
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop

%files tools
%defattr(644,root,root,755)
%doc tools-%{version_tools}/README
%attr(755,root,root) %{_bindir}/*
%exclude %{_bindir}/scummvm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scummvm.spec,v $
Revision 1.43.2.3  2007/03/12 16:20:30  hawk
- oops! %ifarch for sparc, not %ifnarch

Revision 1.43.2.2  2007/03/12 16:16:20  hawk
- damn typos

Revision 1.43.2.1  2007/03/12 16:11:41  hawk
- added flac-1.1.3 patch
- hopefully fixed sparc (it distinguish between -fpic and -fPIC)
- release 2

Revision 1.43  2007/01/02 00:03:27  arekm
- up to 0.9.1

Revision 1.42  2006/12/12 01:15:45  glen
- does this fix sparc build?

Revision 1.41  2006/11/07 22:30:06  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.40  2006/07/14 19:32:33  wolf
- rel 2

Revision 1.39  2006/07/14 19:31:51  wolf
- fluidsynth not on ppc

Revision 1.38  2006/06/27 12:44:55  wolf
- 0.9.0

Revision 1.37  2006/05/22 20:57:17  adamg
- updated to 0.9.0 snap (with support to legend of kyrandia)
- dropped -copyright.patch (I believe it's not needed anymore)
- todo: include modern theme

Revision 1.36  2005/11/03 18:27:21  qboosh
- puzzle.dl is not browsable

Revision 1.35  2005/10/31 19:23:08  wolf
- 0.8.0

Revision 1.34  2005/05/15 17:37:29  darekr
- BR: sed 4.0

Revision 1.33  2005/03/29 22:51:12  qboosh
- don't use belnet.dl, it isn't browsable

Revision 1.32  2005/03/29 10:58:12  wolf
- 0.7.1
- enable plugins

Revision 1.31  2005/03/15 23:32:38  qboosh
- no asm on !x86

Revision 1.30  2005/03/15 09:18:24  havner
- CXXFLAGS for main package

Revision 1.29  2005/02/12 17:59:35  wolf
- enable kyra engine
- rel 2

Revision 1.28  2004/12/25 00:53:12  qboosh
- one more sf workaround

Revision 1.27  2004/12/25 00:52:03  qboosh
- sf workaround

Revision 1.26  2004/12/25 00:47:59  wolf
- 0.7.0

Revision 1.25  2004/09/29 14:39:53  wolf
- rel 2

Revision 1.24  2004/08/06 13:29:56  wolf
- 0.6.1b

Revision 1.23  2004/07/30 13:26:02  wolf
- working sf.dl.net server

Revision 1.22  2004/07/29 17:12:21  wolf
- 0.6.1

Revision 1.21  2004/03/16 15:40:22  wolf
- 0.6.0

Revision 1.20  2003/12/19 18:35:32  eothane
- changed dl.sf.net to dl.sourceforge.net (SourceN:'s)

Revision 1.19  2003/12/14 18:57:58  grzegol
- _applnkdir -> _desktopdir
- added URL
- rel. 2

Revision 1.18  2003/12/13 01:32:03  speedy
- fixed BR

Revision 1.17  2003/08/11 11:28:38  wolf
- 0.5.1

Revision 1.16  2003/08/02 21:32:43  wolf
- 0.5.0

Revision 1.15  2003/05/27 17:39:36  wolf
- cosmetics

Revision 1.14  2003/05/27 12:25:39  wolf
- 0.4.1

Revision 1.13  2003/05/25 06:26:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/13 20:16:47  wolf
- 0.4.0

Revision 1.11  2003/01/18 22:56:19  juandon
- removed two lines with define

Revision 1.10  2002/12/08 16:22:38  wolf
- 0.3.0b
- desktop, icon

Revision 1.9  2002/11/09 14:55:45  wolf
- 20021109
STBR, prev. snap is broken

Revision 1.8  2002/10/06 15:35:06  wolf
- snap 20021006
STBR

Revision 1.7  2002/09/19 14:28:29  wolf
- some extra options for lame

Revision 1.6  2002/09/19 14:08:45  wolf
- 20020919
- tools subpackage
- mp3 support
- gcc 3.2 breaks on this one. anyone care for a bug report?

Revision 1.5  2002/08/01 16:00:37  wolf
- updated to cvs snap

Revision 1.4  2002/07/31 12:47:05  kloczek
- cosmetics.
TODO: add desktop file and png icon.

Revision 1.3  2002/07/04 18:53:35  wolf
- up to 0.2.0
- new %%doc
- %%__cc and stuff

Revision 1.2  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.1  2002/01/21 11:13:23  wolf
- initial release
